﻿@model OperationalRiskException.Core.ViewModels.AssessmentSetupVM

@{
    Layout = "~/Views/Shared/_LayoutProcessor.cshtml";
}

<div class="row">
    <div class="col-md-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <a class="btn btn-primary pt-1 pb-1 mb-4" href="@Url.Action("Index", "AssessmentSetup")">Back</a>
                <h4 class="card-title"> Assessment Setup (Delete) </h4>
                <p class="card-description">
                    
                </p>

                @using (Html.BeginForm("Delete", "AssessmentSetup", FormMethod.Post, new { @class = "forms-sample", role = "form" }))
                {
                    @Html.AntiForgeryToken()

                    @Html.HiddenFor(x => x.Id)

                    <div class="row">
                        <div class="form-group col-md-12">
                            <label for="exampleInputUsername1">Assessment Name</label>
                            <div class="row col-md-12">
                                @Html.EditorFor(n => n.AssessmentName, new { htmlAttributes = new { @class = "form-control", @placeholder = "Category Name",@disabled = "disabled" } })
                                      </div>
                        </div>



                        <div class="form-group col-md-5">
                            <label for="exampleInputUsername1">Start Date</label>
                            <div class="row col-md-12">
                                @Html.EditorFor(model => model.StartDate, new
                           {
                               htmlAttributes = new
                               {
                                   @readonly = "true",
                                   Value = Model.StartDate.ToString("dd-MMM-yyyy"),
                                   @class = "date-ui datepicker",
                                   @id = "StartDate",
                                   @disabled = "disabled"
                               }
                           })
                            </div>
                            <div>
                               
                            </div>
                        </div>


                        <div class="form-group col-md-5">
                            <label for="exampleInputUsername1">End Date</label>
                            <div class="row col-md-12">
                                @Html.EditorFor(model => model.EndDate, new
                           {
                               htmlAttributes = new
                               {
                                   @readonly = "true",
                                   Value = Model.EndDate.ToString("dd-MMM-yyyy"),
                                   @class = "date-ui datepicker",
                                   @id = "EndDate",
                                   @disabled = "disabled"
                                  
                               }
                           })
                            </div>
                            <div>
                                     </div>
                        </div>


                        <div class="form-group col-md-12">
                            <label for="exampleInputUsername1">Select Question Categories</label>
                            <div class="row col-md-12">
                                @Html.DropDownListFor(n => n.ListOfQuestionCategories, new MultiSelectList(Enumerable.Empty<SelectListItem>()), "Please select Question", new { @class = "form-control select2 col-md-12", @id = "select2", @multiple = "multiple", @disabled = "disabled" })
                                       </div>
                        </div>


                        <button type="submit" class="btn btn-danger mr-2"> Delete Setup</button>
                    </div>

                }
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    var oTable;

    $(document).ready(function () {
        DateTimePicker();
       // dataTableLoader();
        toastrFunction();

        $("#StartDate").change(function () {
            var date2 = $("#StartDate").datepicker('getDate', '+1d');
            console.log(date2);
            date2.setDate(date2.getDate() + 1);
            $("#EndDate").datepicker('option', 'minDate', date2);
            $("#EndDate").datepicker('setDate', date2);
        });
        var pageSize = 20;
        var optionListUrl = '@Url.Action("GetAllCategories", "AssessmentSetup")';
        $('#select2').select2(
            {
                ajax: {

                    url: optionListUrl,
                    dataType: 'json',
                    data: function (params) {
                        params.page = params.page || 1;
                        return {
                            searchTerm: params.term,
                            pageSize: pageSize,
                            pageNumber: params.page
                        };
                    },
                    processResults: function (data, params) {
                        params.page = params.page || 1;
                        return {
                            results: data.Results,
                            pagination: {
                                more: (params.page * pageSize) < data.Total
                            }
                        };
                    }
                },
                placeholder: "-- Please select a name --",
                //minimumInputLength: 3,
                allowClear: true,

            });


        var studentSelect = $('#select2');
$.ajax({
    type: 'GET',
    url: '@Url.Action("GetQuestionCategories", "AssessmentSetup")?Id=' + '@(Model.Id)'
}).then(function (data) {
    // create the option and append to Select2
      console.log(data)
    data.data.forEach(element => {
        console.log(element.Id)
        var option = new Option(element.Text, element.Id, true, true);
        studentSelect.append(option).trigger('change');
    }
    );

    // manually trigger the `select2:select` event
    studentSelect.trigger({
        type: 'select2:select',
        params: {
            data: data
        }
    });
});

    });
     function DateTimePicker() {
        $(".datepicker").datepicker({
            dateFormat: 'dd-M-yy',
            changeMonth: true,
            changeYear: true,
          
            sideBySide : true,
            controlType: 'select',
          
            minDate: new Date()
        });
    }
    function updateModal(userId) {
        $.get('@Url.Action("GetAssessmentConf", "AssessmentSetup")/', { Id: userId }, function (res) {
            $("#layout").html(res);
            $("#UpdatePopup").modal("show");

        });
        }
    function UpdateAssessment() {
    var form = $('form[name="updateAss"]');
    var entry = form.serialize();
    $.get('@Url.Action("Edit", "AssessmentSetup")', entry, function (res) {
    console.log("Assessment Update", res);
    if (res.data) {
    toastr.success(res.message, "Notification");
    oTable.ajax.reload();
    }
    else {
     toastr.error(res.message, "Notification");
        }
    });
    }
    function myFunction(value, index, array) {
  return value * 2;
}
  function toastrFunction() {

         if ('@TempData["CreateCat"]'.length > 1) {
          toastr.success('@TempData["CreateCat"]','Notification');
         }
         else  if ('@TempData["Failed"]'.length>1) {
          toastr.error('@TempData["Failed"]','Notification');
       }

    }
</script>
